
:root {
    --course_height: 50px;
    --timetable_header_height: 75px;
    --grid_color: darkblue;
    --border-width: 2px
}

* {
    background-color: slategrey;
}

#timetable_container {
    max-width: fit-content;
    margin: 0 auto;
    background-color: mediumpurple;
}

.header_block {
    background-color: mediumslateblue;
    height: var(--timetable_header_height);
}

.hours_block {
    background-color: mediumslateblue;
    height: calc((var(--course_height) * 1) + ((var(--border-width) * 0)));
}

a {
    color: white;
}

div[class*="block"] {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 2rem;
    padding-left: 15px;
    padding-right: 15px;
    border-collapse: collapse;
    border: var(--border-width) solid black;
    margin: calc(-1 * var(--border-width)) 0 0 calc(-1 * var(--border-width));
}

#timetable_description {
    font-size: 3rem;
    margin: 2rem auto;
    text-align: center;
}

.timetableColumn {
    float: left;
}

.break_class_block {
    background-color: white;
}

.ikt_class_block {
    background-color: teal;
}

.web_class_block {
    background-color: darkblue;
}

.dik_class_block {
    background-color: maroon;
}

.pra_class_block {
    background-color: green;
}

.one_hour_class {
    height: var(--course_height);
}

.two_hours_class {
    height: calc(((var(--course_height)) * 2) + (var(--border-width) * 1));
}

.three_hours_class {
    height: calc(((var(--course_height)) * 3) + (var(--border-width) * 2));
}

